Skip to main content
POST
Confirm a payment
This endpoint is only available in sandbox mode with sk_test_ API keys.

Authorizations

Authorization
string
header
required

API key starting with sk_live_ or sk_test_

Path Parameters

id
string
required

Response

200 - application/json

Payment confirmed

id
string
Example:

"pi_abc123"

externalId
string | null
amount
string

Amount in centavos

Example:

"10000"

currency
enum<string>

ISO currency code

Available options:
CVE,
AOA
feeAmount
string
Example:

"200"

netAmount
string
Example:

"9800"

operator
enum<string>

Mobile money operator

Available options:
CVMOVEL,
UNITEL_TMAIS,
MOCK
operatorPhone
string
Example:

"+2389001234"

operatorTxId
string | null
status
enum<string>
Available options:
CREATED,
OPERATOR_PENDING,
USER_CONFIRMING,
DEBITED,
SETTLED,
FAILED,
EXPIRED,
REFUNDED,
PARTIALLY_REFUNDED,
CANCELLED
failureCode
string | null
failureMessage
string | null
description
string | null
statementDescriptor
string | null
customerId
string | null
metadata
object | null

Arbitrary key-value metadata (max 50 keys)

expiresAt
string<date-time> | null
createdAt
string<date-time>
updatedAt
string<date-time>